"Du måste först installera någon av följande versioner av .NET Framework" när du kör IdFix-verktyget

Anteckning

Office 365 ProPlus byter namn till Microsoft 365-appar för företag. Mer information om den här ändringen finns i det här blogginlägget.

Problem

När du försöker köra felreparationsverktyget IdFix DirSync i den lokala ACTIVE Directory Domain Services-miljön (AD DS) får du följande felmeddelande:

To run this application, you first must install one of the following versions of .NET Framework. 

Det här problemet uppstår om Microsoft .NET Framework 4 inte är installerat på datorn. För IdFix-verktyget krävs att .NET Framework 4 körs.

Lösning

Du kan lösa problemet genom att installera .NET Framework 4 på den dator där IdFix-verktyget är installerat. .NET Framework 4 är tillgänglig från Microsoft .NET Framework 4 (webbinstallationsprogram).

Behöver du fortfarande hjälp? Gå till Microsoft Community eller webbplatsen för Azure Active Directory-forumen.